########################################################################
#
# Copyright (c) 1999 by Roger E. Critchlow Jr, Santa Fe, NM, USA,
# rec@elf.org -- http://www.elf.org
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
########################################################################
#
# list the available tkj applications
#
proc tkj-applications {} {
    list tkj-configure tkj-chooser kanji-browse kanji-tration kanji-multi-choice kanji-self-test
}
#
# default values
#
proc tkj-default {var} {
    switch $var {
	index { return {tkj-get-index F} }
	select { return {tkj-get-class G1} }
	application { return {tkj-chooser} }
	default { error "unknown var in tkj-default: $var" }
    }
}
